Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## javax.faces.component.html
Enum HtmlOutcomeTargetLink.PropertyKeys

    java.lang.Object
      java.lang.Enum<HtmlOutcomeTargetLink.PropertyKeys>
          javax.faces.component.html.HtmlOutcomeTargetLink.PropertyKeys

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<HtmlOutcomeTargetLink.PropertyKeys>

Enclosing class:
  HtmlOutcomeTargetLink

    protected static enum HtmlOutcomeTargetLink.PropertyKeys

extends java.lang.Enum<HtmlOutcomeTargetLink.PropertyKeys>

Enum Constant Summary
`accesskey`
`charset`
`coords`
`dir`
`disabled`
`hreflang`
`lang`
`onblur`
`onclick`
`ondblclick`
`onfocus`
`onkeydown`
`onkeypress`
`onkeyup`
`onmousedown`
`onmousemove`
`onmouseout`
`onmouseover`
`onmouseup`
`rel`
`rev`
`shape`
`style`
`styleClass`
`tabindex`
`target`
`title`
`type`

Method Summary
`java.lang.String` | `toString()`
`static HtmlOutcomeTargetLink.PropertyKeys` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static HtmlOutcomeTargetLink.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### accesskey

    public static final HtmlOutcomeTargetLink.PropertyKeys accesskey

### charset

    public static final HtmlOutcomeTargetLink.PropertyKeys charset

### coords

    public static final HtmlOutcomeTargetLink.PropertyKeys coords

### dir

    public static final HtmlOutcomeTargetLink.PropertyKeys dir

### disabled

    public static final HtmlOutcomeTargetLink.PropertyKeys disabled

### hreflang

    public static final HtmlOutcomeTargetLink.PropertyKeys hreflang

### lang

    public static final HtmlOutcomeTargetLink.PropertyKeys lang

### onblur

    public static final HtmlOutcomeTargetLink.PropertyKeys onblur

### onclick

    public static final HtmlOutcomeTargetLink.PropertyKeys onclick

### ondblclick

    public static final HtmlOutcomeTargetLink.PropertyKeys ondblclick

### onfocus

    public static final HtmlOutcomeTargetLink.PropertyKeys onfocus

### onkeydown

    public static final HtmlOutcomeTargetLink.PropertyKeys onkeydown

### onkeypress

    public static final HtmlOutcomeTargetLink.PropertyKeys onkeypress

### onkeyup

    public static final HtmlOutcomeTargetLink.PropertyKeys onkeyup

### onmousedown

    public static final HtmlOutcomeTargetLink.PropertyKeys onmousedown

### onmousemove

    public static final HtmlOutcomeTargetLink.PropertyKeys onmousemove

### onmouseout

    public static final HtmlOutcomeTargetLink.PropertyKeys onmouseout

### onmouseover

    public static final HtmlOutcomeTargetLink.PropertyKeys onmouseover

### onmouseup

    public static final HtmlOutcomeTargetLink.PropertyKeys onmouseup

### rel

    public static final HtmlOutcomeTargetLink.PropertyKeys rel

### rev

    public static final HtmlOutcomeTargetLink.PropertyKeys rev

### shape

    public static final HtmlOutcomeTargetLink.PropertyKeys shape

### style

    public static final HtmlOutcomeTargetLink.PropertyKeys style

### styleClass

    public static final HtmlOutcomeTargetLink.PropertyKeys styleClass

### tabindex

    public static final HtmlOutcomeTargetLink.PropertyKeys tabindex

### target

    public static final HtmlOutcomeTargetLink.PropertyKeys target

### title

    public static final HtmlOutcomeTargetLink.PropertyKeys title

### type

    public static final HtmlOutcomeTargetLink.PropertyKeys type

Method Detail

### values

    public static HtmlOutcomeTargetLink.PropertyKeys[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (HtmlOutcomeTargetLink.PropertyKeys c : HtmlOutcomeTargetLink.PropertyKeys.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static HtmlOutcomeTargetLink.PropertyKeys valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Enum<HtmlOutcomeTargetLink.PropertyKeys>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright 2002-2010 Oracle America Inc, Inc. All Rights Reserved.